Name: qpopper
Version: 4.0.5
# Epoch lets us upgrade from betas.
# Only change epoch when a new real release comes out.
Epoch: 4000
Release: 1
Copyright: BSD-like
Group: Networking/Daemons
Url: http://www.qpopper.org
Source0: ftp://ftp.qualcomm.com/eudora/servers/unix/popper/%{name}%{version}.tar.gz
Source1: pop3
Source2: pop3-xinetd
Summary: POP3 daemon from Qualcomm
BuildRoot: /var/tmp/%{name}-root
Requires: pam dracd
Requires: shadow-utils
# LX was 4.0 beta
Obsoletes: qpopperLX

%description
POP3 server from QUALCOMM, with the following features: lower memory
requirements, thus faster UIDL assists POP clients which "leave mail
on server" in determining which messages are new. Implements some
other extended POP3 commands.

This is Qualcomm version %{version}.

This packaging of qpopper is configured for shadow passwords and
APOP. It supports PAM for plaintext passwords (but not APOP), using
service name pop3. Unauthorized users may be listed in
/etc/mail/pop.nonauthfile.

The user pop will be added if it doesn't exist, to own the APOP
database.

SSL/TLS support is configured to use openssl (http://www.openssl.org).

%changelog
* Fri Jun 13 2003 Oota Toshiya <oota@itp.nec.co.jp>
- 4.0.5.

* Mon Apr 30 2001 Kenneth Porter <shiva@well.com>
- 4.0.1.
- Add xinetd config file.

* Fri Apr 13 2001 Kenneth Porter <shiva@well.com>
- 4.0 now free.

* Mon Mar 19 2001 Kenneth Porter <shiva@well.com>
- LX 4.0b22.

* Thu Mar 15 2001 Kenneth Porter <shiva@well.com>
- LX 4.0b20.

* Fri Feb 16 2001 Kenneth Porter <shiva@well.com>
- LX 4.0b16 released.

* Thu Jan 18 2001 Kenneth Porter <shiva@well.com>
- LX 4.0b11 released.

* Wed Nov 15 2000 Kenneth Porter <shiva@well.com>
- 3.1.2 released.

* Mon Oct 16 2000 Kenneth Porter <shiva@well.com>
- 3.1 released.
- Add Epoch to allow update from betas.

* Thu Oct 5 2000 Kenneth Porter <shiva@well.com>
- 3.1fc1

* Mon Oct 2 2000 Kenneth Porter <shiva@well.com>
- 3.1b12

* Mon Sep 11 2000 Kenneth Porter <shiva@well.com>
- 3.1b11

* Wed Sep 6 2000 Kenneth Porter <shiva@well.com>
- 3.1b10
- moved nonauth-file from #define to configure option.

* Thu Aug 24 2000 Kenneth Porter <shiva@well.com>
- 3.1b9

* Mon Aug 21 2000 Kenneth Porter <shiva@well.com>
- 3.1b7

* Tue Jul 25 2000 Kenneth Porter <shiva@well.com>
- 3.1b6

* Mon Jul 17 2000 Kenneth Porter <shiva@well.com>
- 3.1b5

* Sat Jul 1 2000 Kenneth Porter <shiva@well.com>
- 3.1b4
- Change to use bulldb for pop-only users with no home directory
- Add servermode group inclusion.
- Add DRAC.
- Put temp drop on /tmp.
- Enable timing stats.

* Sat Jun 21 2000 Kenneth Porter <shiva@well.com>
- 3.1b3 (release 2 after changelog updated (doh!))
- Changed file list for compressed manual pages.

* Sat Jun 17 2000 Kenneth Porter <shiva@well.com>
- 3.1b2

* Sat May 20 2000 Kenneth Porter <shiva@well.com>
- 3.0.2.

* Mon May 8 2000 Kenneth Porter <shiva@well.com>
- 3.0.1.

* Mon Apr 17 2000 Kenneth Porter <shiva@well.com>
- 3.0 released!

* Mon Apr 10 2000 Kenneth Porter <shiva@well.com>
- Build 3.0fc2.

* Thu Mar 16 2000 Kenneth Porter <shiva@well.com>
- Build 3.0fc1.

* Fri Mar 10 2000 Kenneth Porter <shiva@well.com>
- Build 3.0b36.
- Remove AUTHFILE and replace with NONAUTHFILE (less exceptions to manage).
- Place NONAUTHFILE in /etc/mail to reduce /etc clutter.
- Create user pop in %post if he doesn't exist.
- Revert logging to facility "mail".

* Fri Mar 3 2000 Kenneth Porter <shiva@well.com>
- Build 3.0b35.
- Add UW kludge to coexist with UW IMAP package.

* Fri Feb 11 2000 Kenneth Porter <shiva@well.com>
- Build 3.0b34.
- Add logrotate config file.
- Log to local1 facility to reduce noise in sendmail's maillog file.

* Fri Feb 4 2000 Kenneth Porter <shiva@well.com>
- Build 3.0b32.

* Tue Jan 27 2000 Kenneth Porter <shiva@well.com>
- Build 3.0b31.

* Tue Jan 26 2000 Kenneth Porter <shiva@well.com>
- Build 3.0b30.
- Add pam config file.
- Add Requires: pam.

* Tue Jan 4 2000 Kenneth Porter <shiva@well.com>
- Build 3.0b28.
- Add --with-pam flag.

* Fri Dec 17 1999 Kenneth Porter <shiva@well.com>
- Build 3.0b26.
- Added new --with-warnings to configure flags.

* Thu Dec 16 1999 Kenneth Porter <shiva@well.com>
- Build 3.0b25.

* Mon Dec 6 1999 Kenneth Porter <shiva@well.com>
- Build 3.0b23.
- Fixed --with_popuid typo.
- Remove .in from manual pages.
- Added new --enable-shy option to hide version number.

* Mon Nov 1 1999 Kenneth Porter <shiva@well.com>
- Changed version to 2.99.20 to make future update to
- other betas and 3.0 easier.

* Tue Oct 12 1999 Kenneth Porter <shiva@well.com>
- Adapted 2.53 spec file for 3.0b18

%prep
%setup -q -n %{name}%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
    --with-openssl \
    --enable-nonauth-file=/etc/mail/pop.nonauthfile \
    --enable-temp-drop-dir=/tmp \
    --enable-timing \
    --enable-server-mode-group-include=purgemail \
    --enable-drac \
    --enable-uw-kludge \
    --enable-debugging \
    --with-pam \
    --enable-warnings \
    --prefix=/usr \
    --enable-specialauth \
    --enable-bulldb=/var/spool/mail/bulletins \
    --enable-apop=/etc/pop.auth \
    --with-popuid \
    --enable-shy

make 

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8}
install -m 755 -s popper/popper $RPM_BUILD_ROOT/usr/sbin/in.qpopper
sed -e 's#/usr/etc/popper#/usr/sbin/in.qpopper#g' < man/popper.8 > $RPM_BUILD_ROOT/usr/man/man8/in.qpopper.8
chmod 644 $RPM_BUILD_ROOT/usr/man/man8/in.qpopper.8
install -m 755 -s popper/popauth $RPM_BUILD_ROOT/usr/sbin/popauth
install -m 644 man/popauth.8 $RPM_BUILD_ROOT/usr/man/man8/popauth.8
install -m 755 -d $RPM_BUILD_ROOT/var/spool/mail/bulletins
install -m 644 -D $RPM_SOURCE_DIR/pop3 ${RPM_BUILD_ROOT}/etc/pam.d/pop3
install -m 644 -D $RPM_SOURCE_DIR/pop3-xinetd ${RPM_BUILD_ROOT}/etc/xinetd.d/pop3

%post
# create system user pop, group mail, to own APOP database
egrep -q "^pop:" /etc/passwd || /usr/sbin/useradd -c Qpopper -g 12 -r -d /var/spool/mail pop

# note that while an xinetd config file is provided, we don't require xinetd

%files
%defattr(-,root,root)
%doc INSTALL License.txt README doc samples GUIDE.pdf
%attr(-,root,mail) %dir /var/spool/mail/bulletins
/usr/sbin/in.qpopper
%attr(4711,pop,mail) /usr/sbin/popauth
/usr/man/man8/*
%config /etc/pam.d/pop3
%config /etc/xinetd.d/pop3
